package com.ssj.bean.kmt.kmt.domain;

import com.ssj.bean.common.framework.core.domain.PersistentEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name="scon_question_recommend_record")
public class QuestionRecommendRecord extends PersistentEntity {

	private static final long serialVersionUID = 3061402905883944457L;

	private String id;

	/**
	 * 学生id
	 */
	private String vipId;

	/**
	 * 科目
	 */
	private String subject;

	/**
	 *题目列表json
	 */
	private String questionListJson;

	/**
	 *题目id列表json
	 */
	private String questionIdListJson;

	/**
	 * 题目答案列表json
	 */
	private String questionAnswerListJson;

	/**
	 * 创建时间
	 */
	private Date createTime;

	@Id
	@Column(length = 36, nullable = false)
	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getVipId() {
		return vipId;
	}

	public void setVipId(String vipId) {
		this.vipId = vipId;
	}

	public String getSubject() {
		return subject;
	}

	public void setSubject(String subject) {
		this.subject = subject;
	}

	public String getQuestionListJson() {
		return questionListJson;
	}

	public void setQuestionListJson(String questionListJson) {
		this.questionListJson = questionListJson;
	}

	public String getQuestionIdListJson() {
		return questionIdListJson;
	}

	public void setQuestionIdListJson(String questionIdListJson) {
		this.questionIdListJson = questionIdListJson;
	}

	public String getQuestionAnswerListJson() {
		return questionAnswerListJson;
	}

	public void setQuestionAnswerListJson(String questionAnswerListJson) {
		this.questionAnswerListJson = questionAnswerListJson;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
}

